Bug 1199761 - Subversion should not require Perl
Summary: Subversion should not require Perl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: subversion
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-08 00:44 UTC by Magnus Fromreide
Modified: 2016-05-12 07:28 UTC (History)
2 users (show)

Fixed In Version: subversion-1.9.4-1.fc24 subversion-1.9.4-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-12 07:28:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Magnus Fromreide 2015-03-08 00:44:05 UTC
Description of problem:
Subversion should not pull in Perl. It looks to be due to content of documentation directory: /usr/share/doc/subversion/

Version-Release number of selected component (if applicable):
subversion-1.8.11-1.fc20.x86_64

Checking on https://apps.fedoraproject.org/packages/subversion/bugs/ suggests that the bug is present in F22 as well.

How reproducible:
Always

Steps to Reproduce:
1. Install subversion on a system without perl. See perl getting pulled in

Actual results:
Subversion depends on Perl

Expected results:
Subversion does not depend on Perl

Additional info:
-doc subpackage might help ...

Comment 1 Fedora End Of Life 2015-05-29 13:43:58 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Magnus Fromreide 2015-05-29 15:18:54 UTC
Verified that the bug is present on F21 as well.
Should really /usr/share/doc/subversion/hook-scripts/commit-access-control.pl be allowed to drag in an external dependency?

Comment 3 Fedora End Of Life 2015-11-04 11:41:06 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Magnus Fromreide 2015-11-04 20:31:44 UTC
Checking further it seems the perl example script is marked as documentation so then the question is why the package tries to drag in perl.

Comment 5 Fedora Update System 2016-05-08 17:58:56 UTC
subversion-1.9.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-20cc04ac50

Comment 6 Fedora Update System 2016-05-08 17:59:13 UTC
subversion-1.9.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e024b3e02b

Comment 7 Fedora Update System 2016-05-09 00:54:40 UTC
subversion-1.9.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-20cc04ac50

Comment 8 Fedora Update System 2016-05-10 11:45:38 UTC
subversion-1.9.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-05-10 19:27:07 UTC
subversion-1.9.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e024b3e02b

Comment 10 Fedora Update System 2016-05-12 07:28:37 UTC
subversion-1.9.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.